Method: accounts.clients.invitations.list
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
This method lists all client user invitations for a given client with a specified account ID.
The HTTP request uses a GET method with a URL incorporating accountId and clientAccountId path parameters.
Optional query parameters for this request include pageSize and pageToken to control the pagination of results.
A successful response will contain a JSON body with a list of invitation objects and a nextPageToken for subsequent requests.
This method requires the https://www.googleapis.com/auth/adexchange.buyer authorization scope.
Lists all the client users invitations for a client with a given account ID.
HTTP request
GET https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/clients/{clientAccountId}/invitations
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
accountId
string (int64 format)
Numerical account ID of the client's sponsor buyer. (required)
clientAccountId
string
Numerical account ID of the client buyer to list invitations for. (required) You must either specify a string representation of a numerical account identifier or the - character to list all the invitations for all the clients of a given sponsor buyer.
Query parameters
Parameters
pageSize
integer
Requested page size. Server may return fewer clients than requested. If unspecified, server will pick an appropriate default.
pageToken
string
A token identifying a page of results the server should return. Typically, this is the value of ListClientUserInvitationsResponse.nextPageToken returned from the previous call to the clients.invitations.list method.
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
JSON representation
{
"invitations" : [
{
object (ClientUserInvitation )
}
] ,
"nextPageToken" : string
}
Fields
invitations[]
object (ClientUserInvitation )
The returned list of client users.
nextPageToken
string
A token to retrieve the next page of results. Pass this value in the ListClientUserInvitationsRequest.pageToken field in the subsequent call to the clients.invitations.list method to retrieve the next page of results.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/adexchange.buyer
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],[]]